import jsonArray
import time
import json
#from redis.sentinel import Sentinel
import connect
import sys
import numpy

if __name__ == '__main__':
    # ======Try to connect NEON server
  
    #sentinel=Sentinel([('10.1.53.240', 9001),('10.1.53.240', 9011),('10.1.53.240', 9021)], socket_timeout=0.1)
    #sentinel=Sentinel([('10.1.33.141', 9001),('10.1.33.141', 9011),('10.1.33.141', 9021)], socket_timeout=0.1)
    #r=sentinel.master_for('neonmaster', socket_timeout=20, password='sanlie;123')

    ip_port =  [('10.1.53.240', 9001), ('10.1.53.240',9001)]
    #ip_port =  [('10.1.34.116', 9001), ('10.1.34.116',9001)]
    passwd = 'sanlie;123'
    r= connect.connectNeon(ip_port, passwd, 10)
    r_read = r.getRedisRead()

    path="/SANS/workspace/MantidData/xy_image/value"
    v=r_read.get(path)
    value=jsonArray.jsonDecoder(v)
        
    a=numpy.zeros((120,125))
    for i in range(120):
        for j in range(125):
            a[i,j]=value[i][j]
    numpy.savetxt("./xy_image/value.dat", a, "%d")
